$drawer-width: 300px;

:host {
  display: block;
}

:host([sticky-menu]) {
  margin-left: $drawer-width;
}

app-toolbar {
  background: var(--primary-color);
  color: var(--primary-text-color-inverted);
}

@import "_toolbar.scss";
//@import "_content.scss";

paper-icon-item {
    padding: 2px;
  --paper-item-min-height: 24px;
  --paper-item-icon-width: 24px;
  --paper-icon-item: { padding : 2px; };
}

paper-icon-button {
    padding:2px;
    height: 24px;
    width: 24px;
    --paper-icon-button {
      padding:2px;
      height: 24px;
      width: 24px;
    }
}

// [is-main-view] {
//   height: $toolbar-height;
// }

// [is-rate-view] {
//   height: $toolbar-height + 10px;
// }

[show-hand] {
  cursor: pointer;
}

[toggle-view] {
  margin: 0;
  padding: 1px 4px;
  color: var(--primary-text-color-inverted);
  align-items: left;
  background-color: var(--paper-blue-600);
  cursor: pointer;
  // @media(min-width: $rearranging-width) {
  //   height: 25px;
  // }
  @media(max-width: $responsive-threshold) {
    width: 24px;
  }
  > span {
    font-size: 1.1em;
    padding-left: 0px;
    padding-right: 12px;
    // border-color: var(--paper-blue-500);
    // border-right: 1px solid;
  }
}


[selected ] {
  background-color: var(--paper-blue-500);
}

iron-icon {
    padding: 0;  
}

paper-dialog {
  overflow: auto;
  &[big] {
    top: 100px;
    bottom: 0;
    width: 100%;
    display: flex;
    flex-direction: column;
    @media(max-width: $responsive-threshold) {
      top: $toolbar-height;
      margin: 0;
    }
  }
  &[small] {
    height: auto;
    min-width: 640px;
    width: 50%;
  }

  app-toolbar {
    margin: 0;
    font-size: 1rem;

    paper-dropdown-menu {
      --paper-input-container-color: var(--primary-text-color-inverted);
      --paper-input-container-focus-color: var(--accent-color);
      --paper-input-container-input-color: var(--primary-text-color-inverted);
      --iron-icon-fill-color: var(--primary-text-color-inverted);

      margin-right: .5em;
    }
  }

  .buttons {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: center;
    color: var(--primary-text-color);
    p {
      margin: 0 .5em;
    }
  }

}

app-drawer {
  --app-drawer-width: $drawer-width;
  z-index: 12;
  paper-icon-button {
    position: absolute;
    right: 0;
    color: var(--primary-text-color-inverted);
    // @media(max-width: $responsive-threshold) {
    //   display: none;
    // }
  }
  > l1page-drawer-links {
    width: $drawer-width;
  }
}

[hide] {
  display: none !important;
}

[lowercase] {
  text-transform: lowercase;
}
@media(max-width: $responsive-threshold) {
  [hide-for-small] {
    display: none !important;
  }
}
